Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 3.9.0SynchronousAuth Required
SetImageBootMode
SetImageBootMode
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
setimagebootmodeObjectRequiredsetimagebootmode request body object.
bootModeStringRequiredThe image boot mode.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/images/{uuid}/actions
/zstack/v1/images/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setimagebootmode":{"bootMode":"<bootMode>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
